Package com.sun.jna

# Class FunctionParameterContext

java.lang.Object
com.sun.jna.ToNativeContext
com.sun.jna.FunctionParameterContext

Direct Known Subclasses:
  `MethodParameterContext`

public class FunctionParameterContext extends ToNativeContext

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FunctionParameterContext(Function f, Object[] args, int index)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Function`
  `getFunction()`
  Get the function that was invoked.
  `int`
  `getParameterIndex()`
  `Object[]`
  `getParameters()`
  Get the arguments used in this function call.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FunctionParameterContext

    FunctionParameterContext(Function f, Object[] args, int index)

- ## Method Details

  - ### getFunction

    public Function getFunction()
    Get the function that was invoked.

  - ### getParameters

    public Object[] getParameters()
    Get the arguments used in this function call.

  - ### getParameterIndex

    public int getParameterIndex()